### Signal

# RB ShellPlayer::elapsed-nano-changed

#### Declaration

    void
    elapsed_nano_changed (
      RBShellPlayer* self,
      gint64 elapsed,
      gpointer user_data
    )

#### Description [src]

Emitted when the playback position changes. Only use this (as opposed to elapsed-changed) when you require subsecond precision. This signal will be emitted multiple times per second.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`elapsed`

  Type: `gint64`

  The new playback position in nanoseconds.